Bug 244059 - i18n: follow gettext conventions (POTFILES.in, all po files in /po)
i18n: follow gettext conventions (POTFILES.in, all po files in /po)
Product: Fedora
Classification: Fedora
Component: smolt (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Mike McGrath
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-06-13 11:19 EDT by Dimitris Glezos
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-09-14 18:01:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dimitris Glezos 2007-06-13 11:19:28 EDT
## Description of problem:

smolt's i18n support causes problems to automated tools for translation
handling, such as the Fedora Localization Projects (FLP)'s translation
statustics UI. We need all PO files to be in /po instead of each language having
its own subdir.

Reference: http://www.gnu.org/software/gettext/manual/gettext.html#Maintainers
Comment 1 Mike McGrath 2007-06-13 11:20:42 EDT
Thanks, we'll get it setup soon.
Comment 2 Jeffrey C. Ollie 2007-06-13 11:41:47 EDT
The reason that I set up the PO files in the subdirectories the way they are now
is to make it easier to test changes to smolt in languages other than English
without installing.
Comment 3 Dimitris Glezos 2007-06-16 07:28:15 EDT
Once this is fixed, I can update smolt's l10n page to show its translation

Comment 4 Mike McGrath 2007-09-14 18:01:17 EDT
This is long fixed.

Note You need to log in before you can comment on or make changes to this bug.